websocket-sharp : WebSocketSharp.Frame Namespace

# Mask Enum

Contains the values of the MASK bit in the WebSocket data frame.

## Syntax

public enum Mask

## Remarks

The Mask enumeration contains the values of the MASK bit defined in RFC 6455 for the WebSocket protocol.

The MASK bit indicates whether the payload data in a WebSocket frame is masked.

## Members

Member Name | Description
--- | ---
MASK | Equivalent to numeric value 1. Indicates that the payload data in a frame is masked, a masking key is present in this frame.
UNMASK | Equivalent to numeric value 0. Indicates that the payload data in a frame is not masked, no masking key in this frame.

## Requirements

Namespace: WebSocketSharp.Frame
Assembly: websocket-sharp (in websocket-sharp.dll)
Assembly Versions: 1.0.2.36581